fuzzyseg.hh File Reference
`#include <mia/2d/imageio.hh>`
Include dependency graph for 2d/fuzzyseg.hh:

Go to the source code of this file.

## Data Structures

struct | SFuzzySegParams

## Functions

EXPORT_2D P2DImage | fuzzy_segment_2d (const C2DImage &src, size_t noOfClasses, const SFuzzySegParams &residuum, C2DImageVector &classes, P2DImage &gain)
| Run a fuzzy c-mean segmentation with gain field correction.